
#include "mpg123.h"

int audio_open(struct audio_info_struct *ai)
{
  fprintf(stderr,"No audio device support compiled into this binary (use -s).\n");
  (void)ai;
  return -1;
}

int audio_reset_parameters(struct audio_info_struct *ai)
{
  (void)ai;
  return 0;
}

int audio_rate_best_match(struct audio_info_struct *ai)
{
  (void)ai;
  return 0;
}

int audio_set_rate(struct audio_info_struct *ai)
{
  (void)ai;
  return 0;
}

int audio_set_channels(struct audio_info_struct *ai)
{
  (void)ai;
  return 0;
}

int audio_set_format(struct audio_info_struct *ai)
{
  (void)ai;
  return 0;
}

int audio_get_formats(struct audio_info_struct *ai)
{
  (void)ai;
  return AUDIO_FORMAT_SIGNED_16;
}

int audio_play_samples(struct audio_info_struct *ai,unsigned char *buf,int len)
{
  (void)ai; (void)buf;
  return len;
}

int audio_close(struct audio_info_struct *ai)
{
  (void)ai;
  return 0;
}
